/** stm32w_dummyboard.c
  *
  * The ToolChain - written by Gregor Rebel 2013
  *
  * Compatibility layer for STM32W Firmware-Library >=v2.0.0 provided by ST Microelectronics Corp.
  *
  */

#include "stm32w_dummyboard.h"


/**
  * @brief  Perform board specific actions to power down the system, usually before going to deep sleep.
  * @param  None
  * @retval None
  */
void halBoardPowerDown(void)
{
}

/**
  * @brief  Perform board specific actions to power up the system.
  * @param  None
  * @retval None
  */
void halBoardPowerUp(void)
{
}

/**
  * @brief  Wake up GPIO button configuration
  * @param  None
  * @retval Wake button 
  */
u32_t halButtonSnWakeSource(Button_TypeDef Button)
{
      return 0;
}
