/*{ Template_FreeRTOS::.h ************************************************
 
 Empty template for new header files.
 Copy and adapt to your needs.
 
}*/
//{ Defines/ TypeDefs ****************************************************


//} Defines
//{ Includes *************************************************************

 // Basic set of helper functions
#include "ttc_basic.h"
//#include "stm32_gpio.h"

//X #include <stdlib.h>

#define USE_STDPERIPH_DRIVER
#include "stm32f10x.h"
#include "core_cm3.h"
#include "stm32f10x_conf.h"

// ADC
#include "stm32f10x_adc.h"
#include "stm32f10x_dma.h"

/*{ optional

// Timers
#include "stm32f10x_tim.h"

#include "stm32f10x_it.h"
#include "system_stm32f10x.h"
}*/

#include "bits.h"

#include <string.h>
#include "FreeRTOS.h"
#include "task.h"

//} Includes
//{ Structures/ Enums ****************************************************

//} Structures/ Enums
//{ Global Variables *****************************************************



//} Global Variables
//{ Function prototypes **************************************************

void prepareADC(ADC_TypeDef* ADCx, BOOL WithDMA);
void initAdcChannel(ADC_TypeDef* ADCx, u8_t AdcChannel, volatile u16_t* Value);
unsigned int readSingleAdcChannel(ADC_TypeDef* ADCx, unsigned char Channel);

//} Function prototypes
